Bug 1018183 - _href attribute missing doing GET from /tasks/
_href attribute missing doing GET from /tasks/
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
2.2
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Randy Barlow
pulp-qe-list
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 07:50 EDT by mkovacik
Modified: 2014-08-09 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:55:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mkovacik 2013-10-11 07:50:31 EDT
Description of problem:
doing a GET on /tasks/ gives a list of task objects which don't have a _href attribute set. On the other hand, GET /tasks/<task.task_id>/ yields a task object with _href attribute set

Version-Release number of selected component (if applicable):
2.2

How reproducible:
Always

Steps to Reproduce:
1. GET curl -sk  https://admin:admin@pulp.example.com/pulp/api/v2/tasks/
2. all task object are missing the _href attribute

Actual results:
doing a GET on /tasks/ gives a list of task objects which don't have a _href attribute set.

Expected results:
a list of task objects with a _href attribute returned instead
Comment 1 Randy Barlow 2014-03-17 14:11:03 EDT
https://github.com/pulp/pulp/pull/853
Comment 2 Jeff Ortel 2014-04-03 09:35:30 EDT
build: 2.4.0-0.7.beta
Comment 3 Preethi Thomas 2014-04-16 10:51:32 EDT
verified

[root@pulp-24-server upload]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server upload]# 


 u'_id': {u'$oid': u'534d43b31df6a21bcdd3fc9f'},
   u'_ns': u'task_status',
   u'finish_time': u'2014-04-15T14:35:32Z',
   u'queue': u'reserved_resource_worker-0@pulp-24-server.usersys.redhat.com',
   u'result': None,
   u'spawned_tasks': [],
   u'start_time': u'2014-04-15T14:35:31Z',
   u'state': u'finished',
   u'tags': [u'pulp:repository:proxy1', u'pulp:action:delete'],
   u'task_id': u'72354d02-ade4-48aa-9bd7-89f2a893ddd0',
   u'task_type': u'pulp.server.tasks.repository.delete'},
  {u'_href': u'/pulp/api/v2/tasks/802e23c3-716f-4c14-a5b0-d51bc4aae309/',
   u'_id': {u'$oid': u'534d44991df6a21bcdd3fca3'},
   u'_ns': u'task_status',
   u'finish_time': u'2014-04-15T14:39:21Z',
   u'queue': u'reserved_resource_worker-0@pulp-24-server.usersys.redhat.com',
   u'result': None,
   u'spawned_tasks': [],
   u'start_time': u'2014-04-15T14:39:21Z',
   u'state': u'finished',
   u'tags': [u'pulp:repository:pulp', u'pulp:action:delete'],
   u'task_id': u'802e23c3-716f-4c14-a5b0-d51bc4aae309',
   u'task_type': u'pulp.server.tasks.repository.delete'},
Comment 4 Randy Barlow 2014-08-09 02:55:54 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.